Retrieve errors in beneficiaries creation using Mass Beneficiaries service
curl --request GET \
--url https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"code": "<string>",
"details": "<string>",
"message": "<string>",
"request_index": 123
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Executing Mass Beneficiaries
Retrieve errors in beneficiaries creation using Mass Beneficiaries service
GET
/
mass-beneficiaries
/
{mass_beneficiary_id}
/
errors
Retrieve errors in beneficiaries creation using Mass Beneficiaries service
View all the errored beneficiaries in a mass beneficiaries instruction.
Please note that if the mass beneficiaries status is not “created”, then the list returned can be empty or incomplete.
Authorizations
An API Key.
Headers
The access token
Path Parameters
The unique ID of the mass beneficiary
Query Parameters
The ID of the client
The desired page number for pagination. By default is 1.
The number of items per page for pagination. By default is 50.